#pragma once
#include "pod_structs.hpp"

namespace signiamge::c_wrapper {

#define LIB_API __attribute__((visibility("default")))
#define LIB_LOCAL __attribute__((visibility("hidden")))

extern "C" {

LIB_API
Result *getResult(Params params) noexcept;

LIB_API
void FreeResult(Result *ptr) noexcept;
}

} // namespace signiamge::c_wrapper
